| Home | Libraries | People | FAQ | More

##### make_zero

Construct a geometry with its coordinates initialized to zero.

###### Description

The make_zero function initializes a 2D or 3D point or box with coordinates of zero

###### Synopsis

    template<typename Geometry>
    Geometry make_zero()

###### Parameters

Type | Concept | Name | Description
--- | --- | --- | ---
Geometry | Any type fulfilling a Geometry Concept | - | Must be specified

###### Returns

The constructed and zero-initialized geometry

###### Header

Either

`#include <boost/geometry/geometry.hpp>`

Or

`#include <boost/geometry/algorithms/make.hpp>`